LoadError: dlopen(/rmagick-4.1.2/lib/RMagick2.bundle, 9): Library not loaded: /usr/local/opt/imagemagick/lib/libMagickCore-7.Q16HDRI.7.dylib

「LoadError: dlopen(/rmagick-4.1.2/lib/RMagick2.bundle, 9): Library not loaded: /usr/local/opt/imagemagick/lib/libMagickCore-7.Q16HDRI.7.dylib」のアイキャッチ画像

railsプロジェクトを走らせた際タイトルエラーが発生

とか走らせましたが、うまくいきませんでしたので、rmahickのバージョンを下記に指定

これでbundle installしたら稼働しました。

参考記事

Library not loaded: /usr/local/opt/imagemagick/lib/libMagickWand-7.Q16HDRI.0.dylib

Library not loaded: /usr/local/lib/libMagickCore.4.dylib (LoadError) #9